Skip to main content

Migration Guide

warning

After August 12, 2026, all Platform API calls must pass a new Accept-Version header. Until that date, version information sent in the Accept header will continue to work.

Migration overview

This overview lists the breaking changes in Platform API v20250224. Details needed to migrate from all previous versions are included in linked reference sections.

  1. All Platform API users must update request headers for all endpoints.
  2. Update institution queries and responses with the new supported_products array. See Set Products. The following individual query and response fields are deprecated:
    • supports_account_identification
    • supports_account_statement
    • supports_account_verification
    • supports_transaction_history
  3. Some endpoints now set products for aggregation using data_request. See Data request products array
    • Request Widget URL endpoint. When requesting the Connect Widget URL, the following configuration parameters are no longer used in the body of the request:
      • mode
      • include_identity
      • include_transactions
  4. To use the endpoints (listed above) for supported_products and data_request.products, arrays accept or return the following products/values:
    • Instant Account Verification: account_verification
    • Account Owner Identification: identity_verification
    • Account Aggregation: transactions
    • Extended History: transaction_history
    • Statements: statements
    • Investments: investments
    • Rewards: rewards
  5. Managed data endpoints have been deprecated:
    • /managed_institutions
    • /users/{user_guid}/managed_members
    • /users/{user_guid}/managed_members/{member_guid}
    • /users/{user_guid}/managed_members/{member_guid}/accounts
    • /users/{user_guid}/managed_members/{member_guid}/accounts/{account_guid}
    • /users/{user_guid}/managed_members/{member_guid}/accounts/{account_guid}/transactions
    • /users/{user_guid}/managed_members/{member_guid}/accounts/{account_guid}/transactions/{transaction_guid}
  6. List Transactions endpoints utilize Unix timestamps instead of ISO 8601 strings. See List Transactions date filters

For more details on each of these changes, please reference the sections below.

Request Headers

Modify your Accept request headers to application/json and add an Accept-Version header set to v20250224.

This change is required for all requests and must be implemented by August 12, 2026.

Example
Language:shell

_10
curl -L -X POST `https://int-api.mx.com/endpoint' \
_10
-H 'Content-Type: application/json' \
_10
-H 'Accept: application/json' \
_10
-H 'Accept-Version: v20250224' \
_10
-H 'Authorization: Basic BASE_64_ENCODING_OF{client_id:api_key}'

Unified Product Ordering

Unified Product Ordering beta users must replace the beta header:


_10
-H 'Accept: application/vnd.mx.api.v1+json; version=v20250224'

Use the new version header:


_10
-H 'Accept: application/json \
_10
-H 'Accept-Version: v20250224' \

Set Products

Supported products array

Enhanced search and filtering capabilities based on the products supported by each institution. More information provided about the products supported by the institution. Uses the supported_products array. See Product values for a list of values in the supported_products array.

List Institutions: GET /institutions

Read Institution: GET /institutions/{institution_code}

Query example
Language:shell

_10
curl -X GET 'https://api.mx.com/institutions?supported_products[]=account_verification&supported_products[]=transactions' \
_10
-H 'Accept: application/vnd.mx.api.v1+json; version=v20250224' \
_10
-H 'Authorization: Basic BASE_64_ENCODING_OF{client_id:api_key}'

Response example
Language:json

_21
{
_21
"institution": {
_21
"code": "mxbank",
_21
"forgot_password_url": "https://example.url.mxbank.com/forgot-password",
_21
"forgot_username_url": "https://example.url.mxbank.com/forgot-username",
_21
"instructional_text": "Some instructional text <a href=\"https://example.url.mxbank.com/instructions\"\nid=\"instructional_text\">for end users</a>.\n",
_21
"iso_country_code": null,
_21
"medium_logo_url": "https://content.moneydesktop.com/storage/MD_Assets/Ipad%20Logos/100x100/default_100x100.png",
_21
"name": "MX Bank",
_21
"small_logo_url": "https://content.moneydesktop.com/storage/MD_Assets/Ipad%20Logos/50x50/default_50x50.png",
_21
"supported_products": [
_21
"account_verification",
_21
"identity_verification",
_21
"transactions",
_21
"transaction_history"
_21
],
_21
"supports_oauth": false,
_21
"trouble_signing_in_url": null,
_21
"url": "https://www.mx.com"
_21
}
_21
}

Data request products array

Initiate the aggregation of any products specified in the body of requests to create members and request Connect Widget URLs in a products array.

Create Member: POST /users/{user_guid}/members

Request Widget URL: POST /users/{user_guid}/widget_urls

Request body example
Language:shell

_10
curl -L -X POST 'https://int-api.mx.com/users/{user_guid}/members' \
_10
-H 'Content-Type: application/json' \
_10
-H 'Accept: application/vnd.mx.api.v1+json; version=v20250224' \
_10
-H 'Authorization: Basic BASE_64_ENCODING_OF{client_id:api_key}'
_10
--data-raw '{"member":{"institution_code":"mxbank","is_oauth":true,"metadata":"\\\"credentials_last_refreshed_at\\\": \\\"2015-10-15\\\""}, "data_request": {"products": ["account_verification", "identity_verification", "transactions"]}}'

Use the data_request.products request parameter on the Request Widget URL and Create Member endpoints instead of manually initiating the aggregation of data when a member is first created. See Product values for a list of accepted values in the data_request array.


_10
curl -L -X POST 'https://int-api.mx.com/users/{user_guid}/widget_urls' \
_10
-H 'Content-Type: application/json' \
_10
-H 'Accept: application/vnd.mx.api.v1+json; version=v20250224' \
_10
-H 'Authorization: Basic BASE_64_ENCODING_OF{client_id:api_key}'
_10
--data-raw '{"widget_url":{"widget_type":"connect_widget"}, "data_request": {"products": ["account_verification", "identity_verification", "transactions"]}}'

Product values

Product values in supported_products and data_request.products arrays include:

ProductValue
Instant Account Verificationaccount_verification
Account Owner Identificationidentity_verification
Account Aggregationtransactions
Extended Historytransaction_history
Statementsstatements
Investmentsinvestments

Manually initiating aggregation

You may continue to manually initiate data aggregation with these endpoints:

  • Aggregate Member
  • Balance Check
  • Extend History
  • Fetch Statements
  • Identify Member
  • Verify Member
note

Balance data is always included and doesn't need to be set.

List Transactions date filters

In v20250224, the from_date, to_date, from_created_at, to_created_at, from_updated_at and to_updated_at query parameters on List Transactions endpoints accept Unix timestamps instead of the ISO 8601 strings (YYYY-MM-DD) used in previous versions. The affected endpoints are:

  • GET /users/{user_identifier}/transactions
  • GET /users/{user_identifier}/members/{member_identifier}/transactions
  • GET /users/{user_guid}/accounts/{account_guid}/transactions
  • GET /users/{user_identifier}/members/{member_identifier}/accounts/{account_identifier}/transactions
  • GET /users/{user_identifier}/tags/{tag_guid}/transactions
Temporary change

This change is specific to v20250224. Future API versions will revert to ISO 8601 date strings for these parameters to remain consistent with all other date formats accepted throughout the API.

Deprecated fields

The skip_aggregation field is deprecated in favor of the data_request.products configuration, which provides more granular control over data aggregation. While still supported in this version, it will be removed in a future release. Consumers should migrate to data_request.products.

The following fields in the Check Member Status endpoint response are deprecated:

  • has_processed_account_numbers
  • has_processed_accounts
  • has_processed_transactions

Deprecated endpoints

Deprecation of these endpoints should not impact you, but if you have questions, please contact MX.

  • /managed_institutions
  • /users/{user_guid}/managed_members
  • /users/{user_guid}/managed_members/{member_guid}
  • /users/{user_guid}/managed_members/{member_guid}/accounts
  • /users/{user_guid}/managed_members/{member_guid}/accounts/{account_guid}
  • /users/{user_guid}/managed_members/{member_guid}/accounts/{account_guid}/transactions
  • /users/{user_guid}/managed_members/{member_guid}/accounts/{account_guid}/transactions/{transaction_guid}

Sunset endpoints

Previously deprecrated endpoints are no longer documented with v20250224:

  • /payment_processor_authorization_code
  • /users/{user_guid}/connect_widget_url